using System;
using System.Collections.Generic;
using System.Linq;
using System.Linq.Dynamic;
using System.Text;
using Domain;
using Dao;

namespace Service.Implement
{
    public class RoomNobodyManager : GenericManagerBase<RoomNobodyHowTo>, IRoomNoBodyMananger
	{
        public int Add(RoomNobodyHowTo test)
        {
            return ((Dao.IRoomNoBodyHowToRepository)(this.CurrentRepository)).Add(test);
        }

        public new void Update(RoomNobodyHowTo n)
        {
            ((Dao.IRoomNoBodyHowToRepository)(this.CurrentRepository)).Update(n);
        }

        public new void UpdateOrSave(RoomNobodyHowTo n)
        {
            ((Dao.IRoomNoBodyHowToRepository)(this.CurrentRepository)).SaveOrUpdate(n);
        }
    }
}
